





var nodes;

function AmazonWishlist(email,country,id)
{		

	
	this.email = email;
	
	this.country = country;
	
	this.id = id;
	
	if(nodes == null)
		nodes = loadNodes();
}

AmazonWishlist.prototype = new AmazonSearch;


AmazonWishlist.prototype.isValid = function()
{

	return (this.id != null);
	
}

AmazonWishlist.prototype.getEmail = function()
{
	return this.email;
}

AmazonWishlist.prototype.getID = function()
{
	return this.id;
}


AmazonWishlist.prototype.removeItem = function(item)
{
	var domain = nodes[this.getCountry()]['domain_ecs'];
	var associate_id = nodes[this.getCountry()]['associates_id'];

	var feedURL = "http://" + domain +"/onca/xml?Service=AWSECommerceService&AWSAccessKeyId=" + accessKeyID + 
					"&Operation=ListAdd&HMAC=" + this.HMAC + "&AssociateTag=" + associate_id + "&Version=2007-01-15&Item.1.ASIN=" + asin + 
					"&Item.1.Quantity=1&ListId=" + this.id;
					
	widget.openURL(feedURL);
	
	var _self = this;
	
	var xmlRequest = new XMLHttpRequest();
	xmlRequest.open("GET", feedURL);
	xmlRequest.setRequestHeader("Cache-Control", "no-cache");
	xmlRequest.onreadystatechange = function (aEvt) 
	{
		if (xmlRequest.readyState == 4) 
		{
			
			_self._xmlAddWishlistItemLoaded(xmlRequest);
			
			
			
		}
	};
	
	xmlRequest.send(null);


}

AmazonWishlist.prototype.loadItemList = function() 
{
		
	

	var domain = nodes[this.getCountry()]['domain_ecs'];
	
	var feedURL = "http://" + domain + "/onca/xml?Service=AWSECommerceService&Version=2007-04-04&AWSAccessKeyId=" + accessKeyID +"&Operation=ListSearch&ListType=WishList&Email=" + this.getEmail();
	
	//widget.openURL(feedURL);
		
	var xmlRequest = new XMLHttpRequest();

	var _self = this;
	xmlRequest.open("GET", feedURL);
	xmlRequest.setRequestHeader("Cache-Control", "no-cache");
	xmlRequest.onreadystatechange = function (aEvt) 
	{
		if (xmlRequest.readyState == 4) 
		{
			
			_self.xmlListSearchLoaded(xmlRequest);
			
			
		}
	};
	
	xmlRequest.send(null);


}

AmazonWishlist.prototype.xmlListSearchLoaded = function(xmlRequest) 
{
	if (xmlRequest.status == 200) 
	{
	
		try
		{
			xmlObj = xmlRequest.responseXML;
	
			var array = xmlToArray(xmlObj);
			
			var path = ["ListSearchResponse","Lists","List","ListId"];
			
			this.id = xmlValueInArrayForPath(array,path);
			if(this.id == null)
			{
				alert("error fetching wishlist. invalid username?");
				this.delegate.searchDidFinish(this);
				return;
			}
		
		
			var domain = nodes[this.getCountry()]['domain_ecs'];
		
		
			var feedURL = "http://" + domain +"/onca/xml?Service=AWSECommerceService&Version=2007-04-04&AWSAccessKeyId=" + accessKeyID			+"&Operation=ListLookup&ListType=WishList&ListId=" + this.getID() + 
			"&Sort=DateAdded&ResponseGroup=ItemAttributes";
		
			var xmlRequest = new XMLHttpRequest();

			var _self = this;
			xmlRequest.open("GET", feedURL);
			xmlRequest.setRequestHeader("Cache-Control", "no-cache");
			xmlRequest.onreadystatechange = function (aEvt) 
			{
				if (xmlRequest.readyState == 4) 
				{
			
					_self.xmlLoaded(xmlRequest);
			
			
				}
			};
	
		xmlRequest.send(null);
		
		}
		catch(err)
		{
			alert("failed to retreive id. " + err);
		}	
		
	}
	else 
	{
		alert("Error fetching data: HTTP status " + xmlRequest.status);
	}

}

// Called when the XMLHttpRequest loads the feed
AmazonWishlist.prototype.xmlLoaded = function(xmlRequest) 
{
	
	if (xmlRequest.status == 200) 
	{
	
		try
		{
	
			var xmlObj = xmlRequest.responseXML;
	
			var listLookupResponse = xmlObj.getElementsByTagName("ListLookupResponse")[0];
	
			var lists = listLookupResponse.getElementsByTagName("Lists")[0];
			
			var list = lists.getElementsByTagName("List")[0];

			var x = list.childNodes;
			
			this.items = new Array();

			for (var i=0;i<x.length;i++)
			{ 
				if(x[i].nodeName == "ListItem")
				{
					var y = x[i].childNodes;
					for(var j=0; j<y.length;j++)
					{
						if(y[j].nodeName == "Item")
						{
							var amazonItem = new AmazonItem(null,null,y[j]);
					
							var item = new Array();
					
							item['asin'] = amazonItem.getValue('asin');
					
							item['title'] = amazonItem.getValue('title');
					
					
							this.items.push(item);
						}
						
					}
					
				}
				
				
			}
			
			try
			{
				
				this.delegate.searchDidFinish(this);
			}
			catch(err)
			{
			
			}
			
		}
		catch(err)
		{
			alert("wishlist item list load failed. " + err);
		}
		
	}
	else 
	{
		alert("Error fetching data: HTTP status " + xmlRequest.status);
	}
}




